#This is the configuration file of DIPC. See the file dipcd.doc
#in DIPC's docs directory for some explanation of the entries

#If 'this_machine' is 'dipc_auto_find', then the address is determined
#using the 'hostname' command
this_machine = dipc_auto_find # Address of this computer

referee = 192.168.0.0 # Address of the referee computer

transfer_mode = Segment # Transfer shared memories a segment at a time

# If using page mode, transfer this much. Must be a multiple of VM page 
# size, and should be the same in all computers of a cluster
dipc_page_size = 8192 

inhibit_shm_signal = No # Should we disable read/write signals?

# The follwoing are the time-out values
employer_referee_timeout = 55

# Increase this if a lot of computers will access a shared memory
employer_shm_timeout = 120

# Increase this if there are slow computers or networks in the cluster
employer_worker_timeout = 300

shm_ak_timeout = 38
referee_timeout = 18
shm_hold_timeout = 0.1
